SystemOrganization addCategory: #'FileSystem-Tests-Disk'!

FileSystemHandleTest subclass: #FileHandleTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FileSystem-Tests-Disk'!

!FileHandleTest methodsFor: 'running' stamp: 'EstebanLorenzano 4/3/2012 11:42'!
createFileSystem
	^ FileSystem store: DiskStore activeClass createDefault! !

FileSystemTest subclass: #DiskFileSystemTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FileSystem-Tests-Disk'!

!DiskFileSystemTest methodsFor: 'initialize-release' stamp: 'EstebanLorenzano 4/3/2012 13:17'!
createFileSystem
	^ FileSystem store: (DiskStore activeClass createDefault)! !

!DiskFileSystemTest methodsFor: 'tests' stamp: 'IgorStasenko 8/17/2011 17:01'!
testDefaultWorkingDirectory
	| ref |
	ref := filesystem workingDirectory.
	self assert: (Smalltalk vm imagePath beginsWith: ref asString)! !

!DiskFileSystemTest methodsFor: 'tests' stamp: 'EstebanLorenzano 4/3/2012 11:42'!
testEqual
	| other |
	other := self createFileSystem.
	self assert: filesystem = other! !

!DiskFileSystemTest methodsFor: 'tests' stamp: 'EstebanLorenzano 4/12/2012 14:26'!
testIsDirectory
	self assert: (filesystem isDirectory: FileLocator imageDirectory resolve path)! !

TestCase subclass: #WindowsStoreTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FileSystem-Tests-Disk'!

!WindowsStoreTest methodsFor: 'testing' stamp: 'tbn 6/26/2012 21:32'!
testAbsolutePath

	#('c:\' 'C:\temp' 'A:\temp\test') do: [:each |
		self assert: (WindowsStore current pathFromString: each) isAbsolute ] 
	! !

!WindowsStoreTest methodsFor: 'testing' stamp: 'tbn 6/26/2012 21:32'!
testRelativePath

	#('a' 'bin\foo' 'temp\test' '\test\bar') do: [:each |
		self assert: (WindowsStore current pathFromString: each) isRelative ] 
	! !
